Package com.fasterxml.jackson.dataformat.xml

## Interface XmlAnnotationIntrospector

All Known Implementing Classes:
  `JacksonXmlAnnotationIntrospector`, `XmlAnnotationIntrospector.JaxbWrapper`, `XmlAnnotationIntrospector.Pair`, `XmlJaxbAnnotationIntrospector`

    public interface XmlAnnotationIntrospector

Additional extension interface used above and beyond `AnnotationIntrospector` to handle XML-specific configuration.

### Nested Class Summary

Nested Classes
`static class` `XmlAnnotationIntrospector.JaxbWrapper` Wrapper we need to adapt `JaxbAnnotationIntrospector` as `XmlAnnotationIntrospector`: something we can not (alas!) do in JAXB module because of dependency direction (JAXB module has no knowledge of this module).
`static class` `XmlAnnotationIntrospector.Pair` Extension of `AnnotationIntrospector.Pair` that can also dispatch 'XmlAnnotationIntrospector' methods.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `findNamespace​(com.fasterxml.jackson.databind.introspect.Annotated ann)` Method that can be called to figure out generic namespace property for an annotated object.
`java.lang.Boolean` `isOutputAsAttribute​(com.fasterxml.jackson.databind.introspect.Annotated ann)` Method used to check whether given annotated element (field, method, constructor parameter) has indicator that suggests it be output as an XML attribute or not (as element)
`java.lang.Boolean` `isOutputAsCData​(com.fasterxml.jackson.databind.introspect.Annotated ann)` Method used to check whether given annotated element (field, method, constructor parameter) has indicator that suggests it should be wrapped in a CDATA tag.
`java.lang.Boolean` `isOutputAsText​(com.fasterxml.jackson.databind.introspect.Annotated ann)` Method used to check whether given annotated element (field, method, constructor parameter) has indicator that suggests it should be serialized as text, without element wrapper.
`void` `setDefaultUseWrapper​(boolean b)`

### Method Detail

#### findNamespace

    java.lang.String findNamespace​(com.fasterxml.jackson.databind.introspect.Annotated ann)

Method that can be called to figure out generic namespace property for an annotated object.

Returns:
  Null if annotated thing does not define any namespace information; non-null namespace (which may be empty String) otherwise

#### isOutputAsAttribute

    java.lang.Boolean isOutputAsAttribute​(com.fasterxml.jackson.databind.introspect.Annotated ann)

Method used to check whether given annotated element (field, method, constructor parameter) has indicator that suggests it be output as an XML attribute or not (as element)

#### isOutputAsText

    java.lang.Boolean isOutputAsText​(com.fasterxml.jackson.databind.introspect.Annotated ann)

Method used to check whether given annotated element (field, method, constructor parameter) has indicator that suggests it should be serialized as text, without element wrapper.

#### isOutputAsCData

    java.lang.Boolean isOutputAsCData​(com.fasterxml.jackson.databind.introspect.Annotated ann)

Method used to check whether given annotated element (field, method, constructor parameter) has indicator that suggests it should be wrapped in a CDATA tag.

#### setDefaultUseWrapper

    void setDefaultUseWrapper​(boolean b)

Since:
  2.7